Brivio API reference
Payments

Get a payment (scope: payments:read)

GET
/payments/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Payment id

Formatuuid

Response Body

OK

application/json
  1. response
data*

One attempt to collect money for the organization (invoice pay link, storefront order, booking, ad-hoc link). Amounts are integers in minor units (bani/cents).

error*null
curl -X GET "https://example.com/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "environment": "live",    "source_kind": "invoice",    "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",    "channel": "string",    "amount_minor": 0,    "currency": "str",    "refunded_minor": 0,    "platform_fee_minor": 0,    "provider": "string",    "provider_ref": "string",    "sandbox": true,    "status": "pending",    "flow": "redirect",    "description": "string",    "customer_email": "string",    "customer_name": "string",    "last_error": "string",    "paid_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}